org.python.modules

## Class _py_compile

- java.lang.Object
- - org.python.modules._py_compile

    public class _py_compile
    extends java.lang.Object

### Field Summary

Fields
`static PyList` `__all__`

### Constructor Summary

Constructors
Constructor and Description
`_py_compile()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `compile(PyString fileName, PyString compiledName, PyString displayName)` Java wrapper on the module compiler in support of of py_compile.compile.
`static java.lang.String` `getModuleName(java.io.File f)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### __all__

    public static PyList __all__

### Constructor Detail

#### _py_compile

    public _py_compile()

### Method Detail

#### compile

    public static boolean compile(PyString fileName,
                                  PyString compiledName,
                                  PyString displayName)

Java wrapper on the module compiler in support of of py_compile.compile. Filenames here will be interpreted as Unicode if they are PyUnicode, and as byte-encoded names if they only PyString.

Parameters:
  `fileName` - actual source file name
  `compiledName` - compiled filename
  `displayName` - displayed source filename, only used for error messages (and not resolved)
Returns:
  true if successful

#### getModuleName

    public static final java.lang.String getModuleName(java.io.File f)